import { jsx } from "react/jsx-runtime";
import { VideoIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Video = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "Video", ...props, children: /* @__PURE__ */ jsx(VideoIcon, { weight: variant }) });
  }
);
Video.displayName = "Video";
Object.assign(Video, { isGdsIcon: true });
export {
  Video
};
